const { resolve } = require('path')

module.exports = {
  publicPath: '/', // 打包后资源访问路径
  lintOnSave: false, // eslint是否在保存的时候检查
  pages: {
    index: {
      entry: 'src/main.js', // page 的入口
      template: 'public/index.html', // 模板来源
      filename: 'index.html' //  在 dist/index.html 的输出
    },
    demo: {
      entry: 'src/pages/demo/main.js',
      template: 'src/pages/demo/public/index.html',
      filename: 'demo.html'
    }
  },
  chainWebpack: config => {
    config.resolve.alias
      .set('@', resolve('src'))
      .set('@demo', resolve('src/pages/demo/src'))
  }
}
